resource "cloudflare_record" "star_ipv4" {
  name    = "*"
  proxied = false
  ttl     = 1
  type    = "A"
  value   = "76.76.21.21"
  zone_id = var.togetherdays_cz_zone_id
}

resource "cloudflare_record" "main_ipv4" {
  name    = "togetherdays.cz"
  proxied = false
  ttl     = 1
  type    = "A"
  value   = "76.76.21.21"
  zone_id = var.togetherdays_cz_zone_id
}

resource "cloudflare_record" "www_ipv4" {
  name    = "www"
  proxied = false
  ttl     = 1
  type    = "A"
  value   = "76.76.21.21"
  zone_id = var.togetherdays_cz_zone_id
}

resource "cloudflare_record" "joplin_cname" {
  name    = "joplin"
  proxied = false
  ttl     = 1
  type    = "CNAME"
  value   = "vps0.katuwoss.dev"
  zone_id = var.togetherdays_cz_zone_id
}

resource "cloudflare_record" "togetherdays_mail_secondary" {
  name     = "togetherdays.cz"
  priority = 20
  proxied  = false
  ttl      = 1
  type     = "MX"
  value    = "56096c829d5a2120.mx1.emailprofi.seznam.cz"
  zone_id  = var.togetherdays_cz_zone_id
}

resource "cloudflare_record" "togetherdays_mail_primary" {
  name     = "togetherdays.cz"
  priority = 10
  proxied  = false
  ttl      = 1
  type     = "MX"
  value    = "56096c829d5a2120.mx2.emailprofi.seznam.cz"
  zone_id  = var.togetherdays_cz_zone_id
}

